function [Active_set,sum_alpha] = delete_non_active_y(Active_set, num_label, i)
num_act = Active_set(i).num_active;
% num_label = 
if num_act > 0
    Label_temp =  Active_set(i).label(1:num_act,:);
    alpha_temp =  Active_set(i).alpha(1:num_act,:);
    [idx] = find(alpha_temp<=0.00000000001);
    Label_temp(idx,:) = [];
    alpha_temp(idx,:) = [];
    num_act = num_act - length(idx);

    Active_set(i).alpha = zeros(200,1);
    Active_set(i).label = zeros(200,num_label);
    if num_act>0
        Active_set(i).alpha(1:num_act) = alpha_temp(1:num_act);
        Active_set(i).label(1:num_act,:) = Label_temp(1:num_act,:);
        Active_set(i).num_active = num_act;
    else
        Active_set(i).alpha = zeros(200,1);
        Active_set(i).label = zeros(200,num_label);
        Active_set(i).num_active = 0;
    end
end
sum_alpha = sum(alpha_temp);